<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('contest_answers', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\ContestParticipant::class)->constrained()->cascadeOnDelete();
            $table->foreignIdFor(\App\Models\ContestQuestion::class)->constrained()->cascadeOnDelete();
            $table->longText('answer_text');
            $table->boolean('is_correct')->default(false);
            $table->integer('taken_time')->default(0); // in seconds
            $table->integer('score')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('contest_answers');
    }
};
